Bug 12910 - Ensure notifyd doesn't return from smbd_notifyd_init
Ensure notifyd doesn't return from smbd_notifyd_init
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 14:38 UTC by Ralph Böhme
Modified: 2017-07-25 09:37 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.7.0, 4.6.next, 4.5.next. (1.34 KB, patch)
2017-07-20 23:52 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-07-14 14:38:30 UTC
If tevent_req_poll() returns we must not return from smbd_notifyd_init(). We forked previously and returning would cause the main smbd code to be executed in notifyd.

Have patch, need bugnumber.
Comment 1 Jeremy Allison 2017-07-20 23:52:08 UTC
Created attachment 13406 [details]
git-am fix for 4.7.0, 4.6.next, 4.5.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2017-07-21 05:01:19 UTC
Reassigning to Karolin for inclusion in 4.5, 4.6 and 4.7.
Comment 3 Karolin Seeger 2017-07-23 20:18:28 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-{7,6,5}-test.
Comment 4 Karolin Seeger 2017-07-25 09:37:02 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!